| Home | Libraries | People | FAQ | More

## Struct template weighted_mean_impl

boost::accumulators::impl::weighted_mean_impl

## Synopsis

    // In header: <boost/accumulators/statistics/weighted_mean.hpp>

    template<typename Sample, typename Weight, typename Tag>
    struct weighted_mean_impl {
      // types
      typedef numeric::functional::multiplies< Sample, Weight >::result_type       weighted_sample;
      typedef numeric::functional::average< weighted_sample, Weight >::result_type result_type;

      // construct/copy/destruct
      weighted_mean_impl(dont_care);

      // public member functions
      template<typename Args> result_type result(Args const &) const;
    };

## Description

### `weighted_mean_impl` public construct/copy/destruct

1.     weighted_mean_impl(dont_care);

### `weighted_mean_impl` public member functions

1.     template<typename Args> result_type result(Args const & args) const;